package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.SmsRechargeList;
import com.ssm.manage.entity.SmsType;
import com.ssm.manage.query.SmsTypeRequest;

import java.util.List;

public interface SmsTypeService extends BaseService<SmsType> {
    int saveSmsType(SmsType smsType,String phone);

    PageInfo<SmsType> selectBystoreId(SmsTypeRequest smsType);

    int updateBySmsType(SmsType smsType,String phone) throws SmsException;

    int deleteById(Long id) throws SmsException;

    int updateState(SmsType smsType, String loginAccount);
}
